Package Details: kodi-devel-gbm 18.3rc1pre36-1

Git Clone URL: https://aur.archlinux.org/kodi-devel.git (read-only)
Package Base: kodi-devel
Description: gbm kodi binary
Upstream URL: https://kodi.tv
Keywords: kodi kodi-devel
Licenses: GPL2
Conflicts: kodi-gbm
Provides: kodi-devel-bin=18.3rc1pre36, kodi-gbm
Submitter: alucryd
Maintainer: MarcinWieczorek (graysky)
Last Packager: graysky
Votes: 32
Popularity: 0.179687
First Submitted: 2014-08-11 23:33
Last Updated: 2019-06-20 19:53

Dependencies (69)

Required by (2)

Sources (47)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

Freso commented on 2019-04-29 18:40

My notion was mostly to, as graysky said, keep in sync with the kodi package from the official Arch repositories.

Kr1ss commented on 2019-04-29 18:19

Are you aware of any packages that still depend on xbmc ?

At least there are none in the Arch repos.

Freso commented on 2019-04-29 18:15

It should probably provide (and conflict with) both xbmc and kodi, really.

Kr1ss commented on 2019-04-29 16:19

Great. Thanks again for your quick reply !

graysky commented on 2019-04-29 16:18

@Kr1ss - It must be ... it's been years since there was an xbmc package I think. Testing a revision to this PKGBUILD now that will restore the versioned provides and also made it to conflict with the repo packages. Will post shortly.

Kr1ss commented on 2019-04-29 16:14

Whoops I wasn't aware that community/kodi even provides xbmc rather than kodi. Maybe that's also not intended...

graysky commented on 2019-04-29 16:09

@KR1ss - I modeled that after the official package.... perhaps it was a mistake.

Kr1ss commented on 2019-04-29 16:05

@graysky Is it intended that the package doesn't provide kodi any more ? This led to conflicts w/ some addons as I tried to install it. Anyways, thx very much for maintaining this package, cheers !

$ git show PKGBUILD

  commit 9402b72 (HEAD -> master, origin/master, origin/HEAD)
  Author: graysky <graysky@archlinux.us>
  Date:   Sun 18:16 -0400

      Update to 18.3rc1pre4-2

  diff --git a/PKGBUILD b/PKGBUILD
  index b77e92d..114e7f9 100644
  --- a/PKGBUILD
  +++ b/PKGBUILD
[...]
   package_kodi-devel() {
     pkgdesc="Alpha, Beta, or RC versions of the software media player and entertainment hub for digital media"
[...]
  -  provides=("kodi=${pkgver}")
  -  conflicts=('kodi')
  -  replaces=('kodi-pre-release')
  +  provides=('xbmc')
  +  conflicts=('xbmc')
  +  replaces=('xbmc')
[...]

KenFromBarbie commented on 2019-02-23 07:24

It builds fine now without (clean) chroot. I build it using 'yay'.

Thanks.

graysky commented on 2019-02-22 19:53

@zecakeh - You are right about the patches not applying out of git root so I just pushed 18.2rc1pre5-2 which simplifies your proposed changes by simply running git init in the build dir.

Can someone who reported an issue building outside of a clean chroot please try it outside of one and let me know?